Subject: Re: DDL issue

From: "David G. Johnston" <[email-masked]>
Date: Thu, 12 Sep 2024 16:32:25 -0700

On Thursday, September 12, 2024, Rich Shepard <[email-masked]>
wrote:

> I have one name in the people table who owns 5 different dairies with three
> different phone numbers, but all 5 have the the same email address.
>
> The five dairies each has its own name and location while the people table
> has five rows with the same last and first names and email address.
>
> Is there a way to have only one entry for the owner in the people table
> while related to five different company names? In some industries, such as
> dairy farms, this is not an unusual situation.
>

Read up on “many-to-many” data models.  In SQL they involve a linking
table, one row per bidirectional edge, in addition to the two node tables.

David J.

---

From: Rich Shepard <[email-masked]>
Date: Fri, 13 Sep 2024 05:36:28 -0700 (PDT)

> table, one row per bidirectional edge, in addition to the two node tables.

David,

Thanks very much. I knew about those a long time ago but haven't needed them
in a long time so I forgot about them. Will re-learn.

Much appreciated,

Rich